@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap');


.rswidget--inline-carousel * {
    box-sizing: border-box;
    font-family: Figtree, sans-serif;
}

.rswidget--inline-carousel {
    --rs-inline-carousel-width: var(--rs-inline-carousel-max-width);
    --rs-inline-carousel-border-color: var(--rs-inline-carousel-secondary-colour);
    --rs-inline-carousel-stars-width: 141px;
    --rs-inline-carousel-stars-height: 28px;
    --rs-inline-carousel-top-section-bg: var(--rs-inline-carousel-secondary-colour);
    --rs-widget-inline-carousel-rating-stars-current-font-size: 24px;
    --rs-widget-inline-carousel-rating-stars-total-font-size: 16px;
    --rs-inline-carousel-reviews-font-size: 18px;
    --rs-inline-carousel-bottom-section-bg: var(--rs-inline-carousel-primary-colour);
    --rs-inline-carousel-bottom-section-justify: center;
    --rs-inline-carouse-review-text-truncate: 3;
    --rs-inline-carousel-grid-areas: "top" "middle" "bottom";
    --rs-inline-carousel-middle-section-bg: #ffffff;

    max-width: var(--rs-inline-carousel-width);
    border: 1px solid var(--rs-inline-carousel-border-color);
    border-radius: 16px;
    background: #ffffff;
    overflow: hidden;
    display: grid;
    grid-template-columns: 100%;
    grid-template-areas: var(--rs-inline-carousel-grid-areas);
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section {
    padding: 24px;
    display: flex;
    justify-content: space-between;
    background: var(--rs-inline-carousel-top-section-bg);
    border-radius: 16px 16px 0px 0px;
    grid-area: top;
    color: var(--rs-inline-carousel-text-colour);
}

.rswidget--inline-carousel .rswidget--inline-carousel__middle-section {
    padding: 24px;
    grid-area: middle;
    background: var(--rs-inline-carousel-middle-section-bg);
}

.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.rswidget--inline-carousel__buttons {
    display: flex;
    gap: 12px;
}

.rswidget--inline-carousel__buttons button {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    border: none;
    cursor: pointer;
    background: #DFE1E680;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.slider__btn-next img {
    transform: rotate(180deg);
}

.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section-left {
    display: flex;
    align-items: center;
    gap: 12px;

    @media (max-width: 420px) {
        flex-direction: column;
        align-items: flex-start;
    }
}
.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section-left .rswidget--inline-carousel__review-top-section-title {
    font-size: 18px;
    font-weight: 700;
}


.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__rating-stars, .rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__rating-stars img {
    width: 120px;
    height: 24px;
    object-fit: cover;
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section .rswidget--inline-carousel__top-section-right .rswidget--transparent-rating-point .rswidget--inline-carousel-rating-stars-current {
    font-size: var(--rs-widget-inline-carousel-rating-stars-current-font-size);
    font-weight: 700;
}
.rswidget--inline-carousel .rswidget--inline-carousel__top-section .rswidget--inline-carousel__top-section-right .rswidget--transparent-rating-point .rswidget--inline-carousel-rating-stars-total {
    font-size: var(--rs-widget-inline-carousel-rating-stars-total-font-size);
    font-weight: 700;
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section .rswidget--inline-carousel__top-section-right .rs-widget-inline-carousel-text-reviews {
    text-underline-offset: 4px;
    text-decoration-thickness: 2px;
    text-decoration-color: var(--rs-inline-carousel-primary-colour);
    text-decoration-line: underline;
    font-weight:600;
    font-size: var(--rs-inline-carousel-reviews-font-size);
}

.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__top-section .rswidget--inline-carousel__top-section-right .rs-widget-inline-carousel-text-reviews,
.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__top-section .rswidget--inline-carousel__top-section-right .rs-widget-inline-carousel-text-reviews {
    text-decoration-color: var(--rs-inline-carousel-secondary-colour);
}


.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__slider-slide-content {
    color: var(--rs-inline-carousel-text-colour);
}


.rswidget--inline-carousel .rswidget--inline-carousel__top-section-left, .rswidget--inline-carousel .rswidget--inline-carousel__top-section-right {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section-right {
    align-items: flex-end;
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section-left .rswidget--inline-carousel__top-section-left-text {
    font-size: 24px;
    font-weight: 700;
}

.rswidget--inline-carousel .rswidget--inline-carousel__top-section .rswidget--inline-carousel__rating-stars, .rswidget--inline-carousel .rswidget--inline-carousel__top-section .rswidget--inline-carousel__rating-stars img {
    width: var(--rs-inline-carousel-stars-width);
    height: var(--rs-inline-carousel-stars-height);
    object-fit: cover;
}


.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__middle-section-review-text {

}

.rswidget--inline-carousel .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__slider-slide .rswidget--inline-carousel__slider-slide-content .rswidget--inline-carousel__slider-review-text {
    font-size: 16px;
    font-weight: 400;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--rs-inline-carousel-number-of-rows);
    overflow: hidden;
}

.rswidget--inline-carousel  .rswidget--inline-carousel__slider-slide .rswidget--inline-carousel__slider-slide-content {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.rswidget--inline-carousel .rswidget--inline-carousel__slider-slide .rswidget--inline-carousel__slider-slide-content .rswidget--inline-carousel__slider-review-signature {
    font-size: 16px;
}

.rswidget--inline-carousel .rswidget--inline-carousel__slider-slide .rswidget--inline-carousel__slider-slide-content .rswidget--inline-carousel__slider-review-signature .rswidget--inline-carousel__slider-review-signature-name {
    font-weight: 700;
}

.rswidget--inline-carousel .rswidget--inline-carousel__bottom-section {
    padding: 24px;
    background: var(--rs-inline-carousel-bottom-section-bg);
    display: flex;
    justify-content: var(--rs-inline-carousel-bottom-section-justify);
    grid-area: bottom;
}

.rswidget--inline-carousel .rswidget--inline-carousel__bottom-section button {
    background: #000000;
    color: #ffffff;
    border-radius: 48px;
    font-size: 18px;
    font-weight: 600;
    padding: 8px 20px;
    border: none;
    cursor: pointer;
}


.rswidget--inline-carousel-2--1, .rswidget--inline-carousel-2--2 {
    --rs-inline-carousel-width: 420px;
    --rs-inline-carouse-review-text-truncate: 5;
}

.rswidget--inline-carousel-2--1 {
    --rs-inline-carousel-grid-areas: "bottom" "top" "middle";
    --rs-inline-carousel-middle-section-bg: var(--rs-inline-carousel-primary-colour);
}

.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__top-section {
    border-radius: 0;
    --rs-inline-carousel-top-section-bg: #ffffff;
}

.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__middle-section {
    --rs-inline-carousel-middle-section-bg: var(--rs-inline-carousel-primary-colour);
}

.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__bottom-section {
    --rs-inline-carousel-bottom-section-bg: #ffffff;
    border-bottom: 1px solid #F1F1F1;
}
.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__top-section {
    justify-content: center;
}
.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__top-section-right {
    flex-direction: row;
    align-items: center;
}
.rswidget--inline-carousel-2--2 {
    --rs-inline-carousel-bottom-section-bg: #F2FBF6;
    --rs-inline-carousel-top-section-bg: #F2FBF6;
    --rs-widget-inline-carousel-rating-stars-current-font-size: 20px;
    --rs-widget-inline-carousel-rating-stars-total-font-size: 16px;
    --rs-inline-carousel-stars-width: 127px;
    --rs-inline-carousel-stars-height: 25px;
    --rs-inline-carousel-reviews-font-size: 16px;
}

.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__top-section {
    padding-top: 8px;
}

.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__bottom-section {
    padding: 12px 8px 12px 20px;
}

.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__top-section-right {
    flex-direction: row;
    align-items: center;
    gap: 12px;
}

.rswidget--inline-carousel-2--2 {
    --rs-inline-carousel-grid-areas: "middle" "bottom" "top";
    --rs-inline-carousel-bottom-section-justify: flex-start;
}

.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section-left,.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section-left {
    flex-direction: column;
    align-items: flex-start;
    gap: 16px;
}




.rswidget--inline-carousel-2--1 .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section,.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__middle-section .rswidget--inline-carousel__review-top-section {
    align-items: flex-start;
}

.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__bottom-section, .rswidget--inline-carousel-2--2 .rswidget--inline-carousel__top-section {
    background: var(--rs-inline-carousel-primary-colour);
}

.rswidget--inline-carousel-2--2 .rswidget--inline-carousel__top-section {
    border-radius: 0;
    color: var(--rs-inline-carousel-text-colour);
}
